
<!-- README.md is generated from README.Rmd. Please edit that file -->

# tcplfit2: A Concentration-Response Modeling Utility

<!-- badges: start -->

[![CRAN_Status_Badge](https://www.r-pkg.org/badges/version/tcplfit2)](https://cran.r-project.org/package=tcplfit2)
[![Active](http://img.shields.io/badge/Status-Active-green.svg)](https://cran.r-project.org/package=tcplfit2)
[![Monthly
Downloads](https://cranlogs.r-pkg.org/badges/last-month/tcplfit2?color=7BAFD4)](https://cranlogs.r-pkg.org/badges/last-month/tcplfit2?color=7BAFD4)
[![DOI](https://zenodo.org/badge/doi/10.32614/CRAN.package.tcplfit2.svg)](http://dx.doi.org/10.32614/CRAN.package.tcplfit2)

<!-- badges: end -->

## Welcome to the GitHub repository for the tcplfit2 package.

<a href="https://CRAN.R-project.org/package=tcplfit2"><img src="vignettes/img/tcplfit2_hex.png" width="200" align="right" /></a>

The tcplfit2 R package performs basic concentration-response curve
fitting. The original tcplFit() function in the [ToxCast Data Analysis
Pipeline (tcpl) R
package](https://github.com/USEPA/CompTox-ToxCast-tcpl) performed basic
concentration-response curvefitting to 3 models. With tcplfit2, the core
tcpl concentration-response functionality has been expanded to process
diverse high-throughput screen (HTS) data generated at the US
Environmental Protection Agency, including targeted ToxCast,
high-throughput transcriptomics (HTTr) and high-throughput phenotypic
profiling (HTPP). tcplfit2 can be used independently to support analysis
for diverse chemical screening efforts.

If you are interested in contributing or want to report a bug, please
submit a issue or start a discussion.

To install the current development version, run the following command:

    devtools::install_github("USEPA/CompTox-ToxCast-tcplfit2")
